Subject: bug#22601: guile.texi section on ice-9 match

From: Andy Wingo <[email-masked]>
Date: Sun, 07 Aug 2016 13:38:52 +0200

On Mon 08 Feb 2016 22:04, Matt Wette <[email-masked]> writes:

> One problem I have with the ref’ manual is the section on (ice-9
> match).  The grammar has terms like “string” where I don’t know if
> this means the literal term “string” or a string literal.  It would be
> nicer to have a grammar where the literal term “string” is in
> code-case and a string literal is described by “string” in italics.  I
> have worked on rewriting the match match grammar as @example and as
> @table.
>
> Does either of these look better to you?  See the PDF attached.  I am
> willing to complete the whole mess in another format, but I need to
> know which one is preferred, if any, and someone has to verify that
> the new grammar specification is accurate.

Would you mind attaching a .texi diff?  I am having trouble getting
context here.  Thanks :)

Andy